### Method

# GLib Date days_between

#### Declaration [src]

    gint
    g_date_days_between (
      const GDate* date1,
      const GDate* date2
    )

#### Description [src]

Computes the number of days between two dates. If `date2` is prior to `date1`, the returned value is negative. Both dates must be valid.

#### Parameters

`date2`

  Type: `GDate`

  The second date.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

The number of days between `date1` and `date2`.